# CalendarDay Class Reference
[Calendar representation's helpers]

Calendar day representation. More...

Inheritance diagram for CalendarDay:
[legend]

List of all members.

## Public Member Functions

| isSelected ()
| setSelected ($selected)
| isOutside ()
| setOutside ($outside)

## Static Public Member Functions

static | create ($timestamp)

## Private Attributes

| $selected = null
| $outside = null

## Detailed Description

Calendar day representation.

Definition at line 17 of file CalendarDay.class.php.

## Member Function Documentation

static CalendarDay::create | ( | $ | timestamp | ) | `[static]`

Returns:
  CalendarDay

Reimplemented from Date.

Definition at line 25 of file CalendarDay.class.php.

CalendarDay::isOutside | ( |  | ) |

Definition at line 45 of file CalendarDay.class.php.

CalendarDay::isSelected | ( |  | ) |

Definition at line 30 of file CalendarDay.class.php.

CalendarDay::setOutside | ( | $ | outside | ) |

Returns:
  CalendarDay

Definition at line 53 of file CalendarDay.class.php.

References $outside.

CalendarDay::setSelected | ( | $ | selected | ) |

Returns:
  CalendarDay

Definition at line 38 of file CalendarDay.class.php.

References $selected.

## Member Data Documentation

CalendarDay::$outside = null`[private]`

Definition at line 20 of file CalendarDay.class.php.

Referenced by setOutside().

CalendarDay::$selected = null`[private]`

Definition at line 19 of file CalendarDay.class.php.

Referenced by setSelected().

The documentation for this class was generated from the following file:

- main/Base/CalendarDay.class.php